Bug 859425 - Switch keyboard shortcut steals key-pressed events
Switch keyboard shortcut steals key-pressed events
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 10:10 EDT by David Hladky
Modified: 2013-08-01 09:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:49:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Hladky 2012-09-21 10:10:22 EDT
I have two keyboard layouts defined and a shortcut to switch between them. Let us say Ctrl-Shift. However many programs use shortcuts either, such as Ctrl-Shift-T. 

Whenever you you press the longer shortcut (Ctrl-Shift-T), Fedora switches the keyboard and the application gets "Shift-T" instead. 

I changed the switch keyboard layout to Alt-Shift and so when I press Alt-Shift-T, the application, that has focus gets Alt-T. 

-----------------------------------------------------
The logical behaviour is when I just press Ctrl-Shift (depending on the switch layout shortcut), it shall switch the keyboard. However if more keys are pressed at once (let us say Ctrl-Shift-T), the application, that has focus should get Ctrl-Shift-T so it can do whatever is associated with the combination.
Comment 1 Bill Nottingham 2012-09-25 01:18:53 EDT
I don't think this is logically possible, but assigning to the input layer. It may need moved into the X keyboard stack.
Comment 2 David Hladky 2012-10-01 03:22:36 EDT
I guess the main reason for this is a wrong event for the functionality. The "switch keyboard layout" works on key-down. You can never press all the keys at once. 

If it were registered on key-up, it should not be a problem to check, whether just Ctrl-Shift was pressed - which means switch layout, or Ctrl-Shift-T, which is open class in Eclipse.
Comment 3 Fedora End Of Life 2013-07-04 00:31:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 09:49:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.